

import java.util.*;
import android.content.*;

public class DaySim extends TimerTask
{
	private Timer mTimer;
	private int mH;
	private int mM;
	TimerService ts;

	public DaySim(TimerService ts, int sH, int sM)
	{
		super();
		mTimer = new Timer();
		mH = sH;
		mM = sM;
	}
	public void run()
	{
		if (mM < 59)
		{
			mM++;
		}
		else
		{
			if (mH < 23)
			{
				mH++;
			}
			else
			{
				mH = 0;
			}
			mM = 0;
		}
		Intent i = new Intent("TIMER");
		i.putExtra("H",mH);
		i.putExtra("M",mM);
		ts.sendBroadcast(i);
	}
	public void start()
	{
		mTimer.scheduleAtFixedRate(this,2,2);
	}

}
