

import android.app.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.content.*;

public class Main extends Activity
{

	TextView tv;

	private BroadcastReceiver receiver;
    public void onCreate(Bundle savedInstanceState)
	{
        super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.main);
		initReceiver();
    }

	private void initReceiver()
	{
		receiver = new BroadcastReceiver()
		{

			public void onReceive(Context c, Intent i)
			{
				int h = i.getIntExtra("H", 0);
				int m = i.getIntExtra("M", 0);
				this.setTimeUpd(h, m);


			}
			private void setTimeUpd(int h, int m)
			{
				tv = (TextView)findViewById(R.id.tv);
				String timeS;
				StringBuilder sb = new StringBuilder();

				if (h < 10)
				{
					timeS = "0" + String.valueOf(h);
				}
				else
				{
					timeS = String.valueOf(h);
				}
				sb = sb.append(timeS).append(":");
				if (m < 10)
				{
					timeS = "0" + String.valueOf(m);
				}
				else
				{
					timeS = String.valueOf(m);
				}
				tv.setText(""+sb.append(timeS).toString());
			}
		};
		registerReceiver(receiver, new IntentFilter("TIMER"));
	}

}
