

import android.app.*;
import android.os.*;
import android.view.*;
import android.view.animation.*;
import android.widget.*;
import android.view.View.*;
import android.content.*;

public class Splash extends Activity implements OnClickListener
{

	
	public void onClick(View v)
	{
		this.finish();
		this.startActivity(new Intent(this, Main.class));
	}


	
	protected void onCreate(Bundle savedInstanceState)
	{
		
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.splash);
		startService(new Intent(this,TimerService.class));
	}

	protected void onResume()
	{	
		super.onResume();
		initAnimation();
		initListener();
	}

	private void initListener()
	{
		((LinearLayout)findViewById(R.id.splashLl)).setOnClickListener(this);
	}

	private void initAnimation()
	{
		Animation sc = new AlphaAnimation(0f,1f);
		sc.setDuration(3000);
		sc.setRepeatMode(Animation.INFINITE);
		sc.setRepeatCount(0);
		((LinearLayout)findViewById(R.id.splashLl)).startAnimation(sc);
		
		Animation t = new AlphaAnimation(0f,1f);
		t.setDuration(1000);
		t.setStartOffset(700);
		t.setRepeatMode(Animation.RESTART);
		t.setRepeatCount(-1);
		((TextView)findViewById(R.id.splashTv)).startAnimation(t);
	}
	
}
